{
	"name": "table/external/4d/manager/other/to_do.json",
	"table_name": "to_do",
	"table_prefix": "todo",
	"record_type": [""],
	"local_table": "task",
	"local_record_type": "",
	"table_number": 40,
	"field": [{
			"field_length": 4,
			"field_name": "alert_",
			"field_number": 9,
			"local_field": "json_data.alert"
		},
		{
			"field_length": 80,
			"field_name": "calendar_name",
			"field_number": 24,
			"local_field": "json_data.calendar_name"
		},
		{
			"field_length": 90,
			"field_name": "change_id",
			"field_number": 29,
			"local_field": "modify_id"
		},
		{
			"field_name": "color",
			"field_number": 16,
			"local_field": "json_data.color"
		},
		{
			"field_length": 24,
			"field_name": "company_id",
			"field_number": 1,
			"foreign_key": [{
				"link_type": "prevent delete",
				"linked_field": "company_id",
				"linked_table": "company"
			}],
			"local_field": "json_data.company_id",
			"nullable": true
		},
		{
			"field_length": 4,
			"field_name": "confirmation",
			"field_number": 10,
			"local_field": "json_data.confirmation"
		},
		{
			"field_length": 112,
			"field_name": "contact_person",
			"field_number": 4,
			"local_field": "json_data.contact_person"
		},
		{
			"field_name": "creator_date",
			"field_number": 21,
			"local_field": "json_data.creator_date",
			"field_type": "date"
		},
		{
			"field_length": 24,
			"field_name": "creator_id",
			"field_number": 20,
			"local_field": "create_user"
		},
		{
			"field_name": "creator_time",
			"field_number": 22,
			"local_field": "json_data.creator_time"
		},
		{
			"field_length": 80,
			"field_name": "customer_project",
			"field_number": 27,
			"local_field": "json_data.customer_project"
		},
		{
			"field_name": "date_",
			"field_number": 5,
			"local_field": "json_data.date",
			"field_type": "date"
		},
		{
			"field_length": 40,
			"field_name": "direct_telephone_number",
			"field_number": 13,
			"local_field": "json_data.direct_telephone_number"
		},
		{
			"field_length": 24,
			"field_name": "employee_id",
			"field_number": 2,
			"foreign_key": [{
				"link_type": "prevent delete",
				"linked_field": "employee_id",
				"linked_table": "employee"
			}],
			"local_field": "json_data.employee_id",
			"nullable": true
		},
		{
			"field_name": "end_date",
			"field_number": 11,
			"local_field": "json_data.end_date",
			"field_type": "date"
		},
		{
			"field_name": "end_time",
			"field_number": 23,
			"local_field": "json_data.end_time"
		},
		{
			"field_name": "firm_id",
			"field_number": 15,
			"local_field": "json_data.firm_id"
		},
		{
			"field_name": "in_calendar",
			"field_number": 12,
			"local_field": "json_data.in_calendar"
		},
		{
			"field_name": "info",
			"field_number": 8,
			"local_field": "description"
		},
		{
			"field_length": 40,
			"field_name": "modifier_id",
			"field_number": 30,
			"local_field": "modify_user"
		},
		{
			"field_length": 80,
			"field_name": "picture_name",
			"field_number": 17,
			"local_field": "json_data.picture_name"
		},
		{
			"field_name": "priority",
			"field_number": 18,
			"local_field": "priority"
		},
		{
			"field_length": 80,
			"field_name": "project_id",
			"field_number": 28,
			"local_field": "json_data.project_id"
		},
		{
			"field_name": "record_data",
			"field_number": 32,
			"local_field": "json_data.record_data"
		},
		{
			"constraint": ["unique"],
			"field_length": 90,
			"field_name": "record_id",
			"field_number": 14,
			"local_field": "record_id"
		},
		{
			"field_length": 160,
			"field_name": "repetition_rule",
			"field_number": 19,
			"local_field": "json_data.repetition_rule"
		},
		{
			"field_length": 24,
			"field_name": "state",
			"field_number": 7,
			"local_field": "task_state"
		},
		{
			"field_length": 160,
			"field_name": "summary",
			"field_number": 25,
			"local_field": "json_data.summary"
		},
		{
			"field_name": "time_",
			"field_number": 6,
			"local_field": "json_data.time"
		},
		{
			"field_length": 120,
			"field_name": "transfer_id",
			"field_number": 26,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 31,
			"local_field": "json_data.transfer_state"
		},
		{
			"field_length": 24,
			"field_name": "type_",
			"field_number": 3,
			"local_field": "task_type"
		}
	],
	"default_field": "table/default_field.json"
}